C# 클래스 Revit.SDK.Samples.ReferencePlane.CS.GeoHelper

A object to help locating with geometry data.
파일 보기 프로젝트 열기: AMEE/revit 1 사용 예제들

공개 메소드들

메소드 설명
Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void

Find out the three points which made of a plane.

GetBottomFace ( FaceArray faces ) : Face

Find the bottom face of a face array.

GetDistance ( double start, double end ) : double

The distance between two value in a same axis.

GetLength ( Autodesk startPoint, Autodesk endPoint ) : double

Calculate the length between two points.

GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ

Get the vector between two points.

비공개 메소드들

메소드 설명
Equal ( Autodesk vectorA, Autodesk vectorB ) : bool

Determines whether two vector are equal in x and y axis.

IsVerticalEdge ( System.Edge edge ) : bool

Determines whether a edge is vertical.

IsVerticalFace ( Face face ) : bool

Determines whether a face is vertical.

메소드 상세

Distribute() 공개 정적인 메소드

Find out the three points which made of a plane.
public static Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void
mesh Mesh A mesh contains many points.
startPoint Autodesk Create a new instance of ReferencePlane.
endPoint Autodesk The free end apply to reference plane.
thirdPnt Autodesk A third point needed to define the reference plane.
리턴 void

GetBottomFace() 공개 정적인 메소드

Find the bottom face of a face array.
public static GetBottomFace ( FaceArray faces ) : Face
faces FaceArray A face array.
리턴 Face

GetDistance() 공개 정적인 메소드

The distance between two value in a same axis.
public static GetDistance ( double start, double end ) : double
start double start value.
end double end value.
리턴 double

GetLength() 공개 정적인 메소드

Calculate the length between two points.
public static GetLength ( Autodesk startPoint, Autodesk endPoint ) : double
startPoint Autodesk The start point.
endPoint Autodesk The end point.
리턴 double

GetVector() 공개 정적인 메소드

Get the vector between two points.
public static GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ
startPoint Autodesk The start point.
endPoint Autodesk The end point.
리턴 Autodesk.Revit.DB.XYZ